#!/bin/sh

#Dclaration d'un fichier de log
MAJCODELOG=/home/MAJ_code.log

#Fichier permettant de remonter  l'appli l'tape dasn laquelle on se trouve
if [ "$2" ];
then
ETAPE="$2"
else
ETAPE=/tmp/Etape_maj_code
fi

sleep 1 #Tempo pour rcuprer un peu de mmoire

if [ "$1" ]; 

then  

echo "Script de mise a jour BODET $1" >> $MAJCODELOG
echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
	echo "Copy de l'applicatif SIGMA" >> $MAJCODELOG
	if [ -e "/mnt/USB/Sigmatmp/A_HMM" ];
	then
		echo "NOUVEL APPLICATIF" >> $MAJCODELOG
		cp /mnt/USB/Sigmatmp/A_HMM /bin/.
		sleep 1 #Tempo pour rcuprer un peu de mmoire
	else
		echo "ANCIEN APPLICATIF" >> $MAJCODELOG
		tar xvf /mnt/USB/"$1" -C /mnt/USB/Sigmatmp/ A_HMM
		cp /mnt/USB/Sigmatmp/A_HMM /bin/.
		tar xvf /mnt/USB/"$1" -C /mnt/USB/Sigmatmp/ busybox 
		cp /mnt/USB/Sigmatmp/busybox /bin/.
	fi
echo "Copy des modules BODET" >> $MAJCODELOG
echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
cp /mnt/USB/Sigmatmp/D_driver_io.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_base_tps.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_pit_Timer.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_watchdog.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_uart.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_isl1208.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_lcd_alpha.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_Clock_10ms.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_Afnor.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_synchro_fidcf.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_synchro_gps.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_I2C_MCF5271.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_dongle.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/D_driver_pulse.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
echo "Copy des modules USB" >> $MAJCODELOG
echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
cp /mnt/USB/Sigmatmp/usbcore.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/isp116x-hcd.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/usb-storage.ko /lib/modules/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
echo "Copy des fichiers d'init" >> $MAJCODELOG
echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
cp /mnt/USB/Sigmatmp/fstab /etc/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/inittab /etc/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/proftpd.users /etc/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/proftpd.conf /etc/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/maj_appli.sh /etc/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/rcS /etc/init.d/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
echo "Copy des fichiers ntp" >> $MAJCODELOG
echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
cp /mnt/USB/Sigmatmp/ntpd /bin/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/ntpdate /bin/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/ntpq /bin/.
sleep 1 #Tempo pour rcuprer un peu de mmoire
cp /mnt/USB/Sigmatmp/dhcpcd /bin/.
sleep 1 #Tempo pour rcuprer un peu de mmoire

	if [ -e "/mnt/USB/Sigmatmp/u-boot.bin" ];
	then
		echo "Effacement du Bootloader" >> $MAJCODELOG
		echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
		eraseall /dev/mtd0
		sleep 1 #Tempo pour rcuprer un peu de mmoire
		echo "Copy du Bootloader" >> $MAJCODELOG
		echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
		cp /mnt/USB/Sigmatmp/u-boot.bin /dev/mtd0
		sleep 1 #Tempo pour rcuprer un peu de mmoire
	else
		echo "Fichier u-boot.bin absent !!!" >> $MAJCODELOG
	fi

	if [ -e "/mnt/USB/Sigmatmp/vmImage" ];
	then
		echo "Effacement du Noyau" >> $MAJCODELOG
		echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
		eraseall /dev/mtd2
		sleep 1 #Tempo pour rcuprer un peu de mmoire
		echo "Copy du Noyau" >> $MAJCODELOG
		echo "ETAPE" >> $ETAPE #incrmentation de l'tape pour visualisation sur visue HMM 
		cp /mnt/USB/Sigmatmp/vmImage /dev/mtd2
		sleep 1 #Tempo pour rcuprer un peu de mmoire
	else
		echo "Fichier vmImage absent !!!" >> $MAJCODELOG
	fi

echo " !!!!!!!!!!!!!!!!!!!!!!!!"
echo " !!!!!!!! RESUME !!!!!!!!"
echo " !!!!!!!!!!!!!!!!!!!!!!!!"
cat $MAJCODELOG

echo "Fin Script" >> $MAJCODELOG
else
echo "SCRIPT 2 : Aucun Argument !!!!"
fi

 
